summaryrefslogtreecommitdiffstats
path: root/system/cwtex-q-fonts/cwtex-q-fonts.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'system/cwtex-q-fonts/cwtex-q-fonts.SlackBuild')
-rw-r--r--system/cwtex-q-fonts/cwtex-q-fonts.SlackBuild74
1 files changed, 74 insertions, 0 deletions
diff --git a/system/cwtex-q-fonts/cwtex-q-fonts.SlackBuild b/system/cwtex-q-fonts/cwtex-q-fonts.SlackBuild
new file mode 100644
index 0000000000..e80e83093d
--- /dev/null
+++ b/system/cwtex-q-fonts/cwtex-q-fonts.SlackBuild
@@ -0,0 +1,74 @@
+#!/bin/sh
+
+# Slackware build script for cwtex-q-fonts
+
+# Copyright 2014 CCHsu, Taiwan
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=cwtex-q-fonts
+VERSION=${VERSION:-0.2}
+ARCH=noarch
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+# I assume you might not want to do the job in a directory
+# that contains spaces in its full path. If you do, try to replace
+# all the spaces in your full path or change to other working directory.
+SRC_PRGNAM=${SRC_PRGNAM:-cwTeXQ}
+FILE_PATHS=("$CWD"/"$SRC_PRGNAM"{Fangsong-Medium,Hei-Bold,Kai-Medium,Ming-Medium,Yuan-Medium}.ttf)
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+mkdir -p $TMP/$PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# Installing font
+# If you use Sbopkg, it seems that Sbopkg create a symlink of
+# the source file in the $CWD directory. Thus I need to ensure
+# that the script copies the files rather than symlinks.
+# This approach is also applied to the following copying of license.
+mkdir -p $PKG/usr/share/fonts/TTF
+cp -L "${FILE_PATHS[@]}" $PKG/usr/share/fonts/TTF
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION/
+cp -L "$CWD"/{copying,license}.txt $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}